version: '1.0'
name: 'px4-optical-plugin'

services:
  mavros-source:
    build:
      context: .
      args:
        - BASE_IMG=registry.gitlab.com/beerlab/cpc/utils/cps_ros_base_docker:latest
    image: px4_opt_flow
    container_name: px4-optical-plugin
    # command: ["/bin/bash", "-ci", ""]
    ipc: host
    stdin_open: true
    tty: true
    network_mode: host
    privileged: true
    volumes:
      - /etc/localtime:/etc/localtime:ro
      - /dev:/dev
      - /tmp/.X11-unix:/tmp/.X11-unix:rw
      - ./mavros_optical_plugin:/workspace/ros_ws/src/mavros_optical_plugin
      - ./optical_flow_to_twist:/workspace/ros_ws/src/optical_flow_to_twist